package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 项目名: yhlxj
 * 文件名: UserDistributeSubWaiting
 * 创建者: JavaZou
 * 创建时间:2024/3/28 18:02
 */
@Getter
@Setter
public class UserDistributeSubWaiting extends BaseEntity {
	/**
	 * 待发人
	 */
	private Long userId;

	/**
	 * 分销订单产生人
	 */
	private Long subUserId;

	/**
	 * 奖励金额
	 */
	private BigDecimal money;

	/**
	 * 发送状态
	 */
	private Status sendStatus;

	private Integer level;

	/**
	 * 锁标识
	 */
	private Integer version;

	/**
	 * 发送时间
	 */
	private Date sendTime;

	@Getter
	public enum Status {
		close("目标额不达标"),
		success("成功"),
		waiting("待发"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}

}
